bug 14821: getio function added.
[scilab.git] / scilab / modules / io / Makefile.in
1 # Makefile.in generated by automake 1.15 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2014 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
18 # Copyright (C) 2006 - INRIA - Sylvestre LEDRU
19 #
20 # This file is distributed under the same license as the Scilab package.
21
22 # Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
23 # Copyright (C) 2006-2008 - INRIA - Sylvestre LEDRU <sylvestre.ledru@inria.fr>
24 # Copyright (C) 2008      - INRIA - Pierre MARECHAL <pierre.marechal@inria.fr>
25 #
26 # Copyright (C) 2012 - 2016 - Scilab Enterprises
27 #
28 # This file is hereby licensed under the terms of the GNU GPL v2.0,
29 # pursuant to article 5.3.4 of the CeCILL v.2.1.
30 # This file was originally licensed under the terms of the CeCILL v2.1,
31 # and continues to be available under such terms.
32 # For more information, see the COPYING file which you should have received
33 # along with this program.
34 #
35
36 ##########
37 ### Makefile included stuff
38 ### Target, variable, suffixes which are supposed to be useful in every makefile.am
39 ##########
40
41
42 VPATH = @srcdir@
43 am__is_gnu_make = { \
44   if test -z '$(MAKELEVEL)'; then \
45     false; \
46   elif test -n '$(MAKE_HOST)'; then \
47     true; \
48   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
49     true; \
50   else \
51     false; \
52   fi; \
53 }
54 am__make_running_with_option = \
55   case $${target_option-} in \
56       ?) ;; \
57       *) echo "am__make_running_with_option: internal error: invalid" \
58               "target option '$${target_option-}' specified" >&2; \
59          exit 1;; \
60   esac; \
61   has_opt=no; \
62   sane_makeflags=$$MAKEFLAGS; \
63   if $(am__is_gnu_make); then \
64     sane_makeflags=$$MFLAGS; \
65   else \
66     case $$MAKEFLAGS in \
67       *\\[\ \   ]*) \
68         bs=\\; \
69         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
70           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
71     esac; \
72   fi; \
73   skip_next=no; \
74   strip_trailopt () \
75   { \
76     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
77   }; \
78   for flg in $$sane_makeflags; do \
79     test $$skip_next = yes && { skip_next=no; continue; }; \
80     case $$flg in \
81       *=*|--*) continue;; \
82         -*I) strip_trailopt 'I'; skip_next=yes;; \
83       -*I?*) strip_trailopt 'I';; \
84         -*O) strip_trailopt 'O'; skip_next=yes;; \
85       -*O?*) strip_trailopt 'O';; \
86         -*l) strip_trailopt 'l'; skip_next=yes;; \
87       -*l?*) strip_trailopt 'l';; \
88       -[dEDm]) skip_next=yes;; \
89       -[JT]) skip_next=yes;; \
90     esac; \
91     case $$flg in \
92       *$$target_option*) has_opt=yes; break;; \
93     esac; \
94   done; \
95   test $$has_opt = yes
96 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
97 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
98 pkgdatadir = $(datadir)/@PACKAGE@
99 pkgincludedir = $(includedir)/@PACKAGE@
100 pkglibdir = $(libdir)/@PACKAGE@
101 pkglibexecdir = $(libexecdir)/@PACKAGE@
102 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
103 install_sh_DATA = $(install_sh) -c -m 644
104 install_sh_PROGRAM = $(install_sh) -c
105 install_sh_SCRIPT = $(install_sh) -c
106 INSTALL_HEADER = $(INSTALL_DATA)
107 transform = $(program_transform_name)
108 NORMAL_INSTALL = :
109 PRE_INSTALL = :
110 POST_INSTALL = :
111 NORMAL_UNINSTALL = :
112 PRE_UNINSTALL = :
113 POST_UNINSTALL = :
114 build_triplet = @build@
115 host_triplet = @host@
116 @NEED_JAVA_TRUE@am__append_1 = java
117 subdir = modules/io
118 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
119 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_cxx_compile_stdcxx_11.m4 \
120         $(top_srcdir)/m4/backtrace.m4 $(top_srcdir)/m4/compiler.m4 \
121         $(top_srcdir)/m4/curl.m4 $(top_srcdir)/m4/docbook.m4 \
122         $(top_srcdir)/m4/doxygen.m4 $(top_srcdir)/m4/eigen.m4 \
123         $(top_srcdir)/m4/fftw.m4 $(top_srcdir)/m4/fortran.m4 \
124         $(top_srcdir)/m4/giws.m4 $(top_srcdir)/m4/hdf5.m4 \
125         $(top_srcdir)/m4/intel_compiler.m4 \
126         $(top_srcdir)/m4/java-thirdparty.m4 $(top_srcdir)/m4/java.m4 \
127         $(top_srcdir)/m4/largefile.m4 $(top_srcdir)/m4/lib-ld.m4 \
128         $(top_srcdir)/m4/libsmath.m4 $(top_srcdir)/m4/libtool.m4 \
129         $(top_srcdir)/m4/libxml2.m4 $(top_srcdir)/m4/ltoptions.m4 \
130         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
131         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/macosx.m4 \
132         $(top_srcdir)/m4/mpi.m4 $(top_srcdir)/m4/ocaml.m4 \
133         $(top_srcdir)/m4/pcre.m4 $(top_srcdir)/m4/pkg.m4 \
134         $(top_srcdir)/m4/relocatable.m4 $(top_srcdir)/m4/swig.m4 \
135         $(top_srcdir)/m4/symlinks.m4 $(top_srcdir)/m4/tcltk.m4 \
136         $(top_srcdir)/m4/umfpack.m4 $(top_srcdir)/configure.ac
137 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
138         $(ACLOCAL_M4)
139 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
140 mkinstalldirs = $(SHELL) $(top_srcdir)/config/mkinstalldirs
141 CONFIG_HEADER = $(top_builddir)/modules/core/includes/machine.h
142 CONFIG_CLEAN_FILES =
143 CONFIG_CLEAN_VPATH_FILES =
144 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
145 am__vpath_adj = case $$p in \
146     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
147     *) f=$$p;; \
148   esac;
149 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
150 am__install_max = 40
151 am__nobase_strip_setup = \
152   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
153 am__nobase_strip = \
154   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
155 am__nobase_list = $(am__nobase_strip_setup); \
156   for p in $$list; do echo "$$p $$p"; done | \
157   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
158   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
159     if (++n[$$2] == $(am__install_max)) \
160       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
161     END { for (dir in files) print dir, files[dir] }'
162 am__base_list = \
163   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
164   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
165 am__uninstall_files_from_dir = { \
166   test -z "$$files" \
167     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
168     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
169          $(am__cd) "$$dir" && rm -f $$files; }; \
170   }
171 am__installdirs = "$(DESTDIR)$(pkglibdir)" \
172         "$(DESTDIR)$(libsciio_la_etcdir)" \
173         "$(DESTDIR)$(libsciio_la_rootdir)" \
174         "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"
175 LTLIBRARIES = $(noinst_LTLIBRARIES) $(pkglib_LTLIBRARIES)
176 libsciio_algo_la_LIBADD =
177 am__dirstamp = $(am__leading_dot)dirstamp
178 am__objects_1 = src/c/libsciio_algo_la-getpidc.lo \
179         src/c/libsciio_algo_la-setenvc.lo \
180         src/c/libsciio_algo_la-systemc.lo \
181         src/c/libsciio_algo_la-getenvc.lo \
182         src/c/libsciio_algo_la-v2cuniterror.lo
183 am__objects_2 = src/cpp/libsciio_algo_la-io_gw.lo \
184         src/cpp/libsciio_algo_la-loadlib.lo \
185         src/cpp/libsciio_algo_la-readwrite.lo
186 am_libsciio_algo_la_OBJECTS = $(am__objects_1) $(am__objects_2)
187 libsciio_algo_la_OBJECTS = $(am_libsciio_algo_la_OBJECTS)
188 AM_V_lt = $(am__v_lt_@AM_V@)
189 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
190 am__v_lt_0 = --silent
191 am__v_lt_1 = 
192 @MAINTAINER_MODE_FALSE@am_libsciio_algo_la_rpath =
193 @MAINTAINER_MODE_TRUE@am_libsciio_algo_la_rpath =
194 libsciio_la_DEPENDENCIES = libsciio-algo.la
195 am__objects_3 = sci_gateway/c/libsciio_la-sci_read4b.lo \
196         sci_gateway/c/libsciio_la-sci_readb.lo \
197         sci_gateway/c/libsciio_la-sci_getenv.lo \
198         sci_gateway/c/libsciio_la-sci_writeb.lo \
199         sci_gateway/c/libsciio_la-sci_setenv.lo \
200         sci_gateway/c/libsciio_la-sci_getpid.lo \
201         sci_gateway/c/libsciio_la-sci_write4b.lo
202 am__objects_4 = sci_gateway/cpp/libsciio_la-sci_genlib.lo \
203         sci_gateway/cpp/libsciio_la-sci_file.lo \
204         sci_gateway/cpp/libsciio_la-sci_host.lo \
205         sci_gateway/cpp/libsciio_la-sci_unix.lo \
206         sci_gateway/cpp/libsciio_la-sci_read.lo \
207         sci_gateway/cpp/libsciio_la-sci_write.lo \
208         sci_gateway/cpp/libsciio_la-sci_lib.lo \
209         sci_gateway/cpp/libsciio_la-sci_getio.lo
210 am_libsciio_la_OBJECTS = $(am__objects_3) $(am__objects_4)
211 libsciio_la_OBJECTS = $(am_libsciio_la_OBJECTS)
212 @MAINTAINER_MODE_FALSE@am_libsciio_la_rpath =
213 @MAINTAINER_MODE_TRUE@am_libsciio_la_rpath = -rpath $(pkglibdir)
214 AM_V_P = $(am__v_P_@AM_V@)
215 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
216 am__v_P_0 = false
217 am__v_P_1 = :
218 AM_V_GEN = $(am__v_GEN_@AM_V@)
219 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
220 am__v_GEN_0 = @echo "  GEN     " $@;
221 am__v_GEN_1 = 
222 AM_V_at = $(am__v_at_@AM_V@)
223 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
224 am__v_at_0 = @
225 am__v_at_1 = 
226 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/modules/core/includes
227 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
228 am__depfiles_maybe = depfiles
229 am__mv = mv -f
230 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
231         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
232 LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
233         $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
234         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
235         $(AM_CFLAGS) $(CFLAGS)
236 AM_V_CC = $(am__v_CC_@AM_V@)
237 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
238 am__v_CC_0 = @echo "  CC      " $@;
239 am__v_CC_1 = 
240 CCLD = $(CC)
241 LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
242         $(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
243         $(AM_LDFLAGS) $(LDFLAGS) -o $@
244 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
245 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
246 am__v_CCLD_0 = @echo "  CCLD    " $@;
247 am__v_CCLD_1 = 
248 CXXCOMPILE = $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
249         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
250 LTCXXCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
251         $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) \
252         $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
253         $(AM_CXXFLAGS) $(CXXFLAGS)
254 AM_V_CXX = $(am__v_CXX_@AM_V@)
255 am__v_CXX_ = $(am__v_CXX_@AM_DEFAULT_V@)
256 am__v_CXX_0 = @echo "  CXX     " $@;
257 am__v_CXX_1 = 
258 CXXLD = $(CXX)
259 CXXLINK = $(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) \
260         $(LIBTOOLFLAGS) --mode=link $(CXXLD) $(AM_CXXFLAGS) \
261         $(CXXFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
262 AM_V_CXXLD = $(am__v_CXXLD_@AM_V@)
263 am__v_CXXLD_ = $(am__v_CXXLD_@AM_DEFAULT_V@)
264 am__v_CXXLD_0 = @echo "  CXXLD   " $@;
265 am__v_CXXLD_1 = 
266 SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
267 DIST_SOURCES = $(libsciio_algo_la_SOURCES) $(libsciio_la_SOURCES)
268 am__can_run_installinfo = \
269   case $$AM_UPDATE_INFO_DIR in \
270     n|no|NO) false;; \
271     *) (install-info --version) >/dev/null 2>&1;; \
272   esac
273 DATA = $(libsciio_la_etc_DATA) $(libsciio_la_root_DATA) \
274         $(libsciio_la_sci_gateway_DATA)
275 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
276 # Read a list of newline-separated strings from the standard input,
277 # and print each of them once, without duplicates.  Input order is
278 # *not* preserved.
279 am__uniquify_input = $(AWK) '\
280   BEGIN { nonempty = 0; } \
281   { items[$$0] = 1; nonempty = 1; } \
282   END { if (nonempty) { for (i in items) print i; }; } \
283 '
284 # Make sure the list of sources is unique.  This is necessary because,
285 # e.g., the same source file might be shared among _SOURCES variables
286 # for different programs/libraries.
287 am__define_uniq_tagged_files = \
288   list='$(am__tagged_files)'; \
289   unique=`for i in $$list; do \
290     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
291   done | $(am__uniquify_input)`
292 ETAGS = etags
293 CTAGS = ctags
294 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/Makefile.incl.am \
295         $(top_srcdir)/config/depcomp \
296         $(top_srcdir)/config/mkinstalldirs
297 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
298 ACLOCAL = @ACLOCAL@
299 ALL_LINGUAS = @ALL_LINGUAS@
300 ALL_LINGUAS_DOC = @ALL_LINGUAS_DOC@
301 AMTAR = @AMTAR@
302 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
303 ANT = @ANT@
304 ANTLR = @ANTLR@
305 AR = @AR@
306 ARPACK_LIBS = @ARPACK_LIBS@
307 ASM3 = @ASM3@
308 AUTOCONF = @AUTOCONF@
309 AUTOHEADER = @AUTOHEADER@
310 AUTOMAKE = @AUTOMAKE@
311 AVALON_FRAMEWORK = @AVALON_FRAMEWORK@
312 AWK = @AWK@
313 BATIK = @BATIK@
314 BLAS_CFLAGS = @BLAS_CFLAGS@
315 BLAS_LIBS = @BLAS_LIBS@
316 CC = @CC@
317 CCACHE = @CCACHE@
318 CCDEPMODE = @CCDEPMODE@
319 CFLAGS = @CFLAGS@
320 CHECKSTYLE = @CHECKSTYLE@
321 COBERTURA = @COBERTURA@
322 COMMONS_BEANUTILS = @COMMONS_BEANUTILS@
323 COMMONS_IO = @COMMONS_IO@
324 COMMONS_LOGGING = @COMMONS_LOGGING@
325 CPP = @CPP@
326 CPPFLAGS = @CPPFLAGS@
327 CURL_CFLAGS = @CURL_CFLAGS@
328 CURL_CONFIG = @CURL_CONFIG@
329 CURL_LIBS = @CURL_LIBS@
330 CURL_VERSION = @CURL_VERSION@
331 CXX = @CXX@
332 CXXCPP = @CXXCPP@
333 CXXDEPMODE = @CXXDEPMODE@
334 CXXFLAGS = @CXXFLAGS@
335 CYGPATH_W = @CYGPATH_W@
336 DEFS = @DEFS@
337 DEMOTOOLS_ENABLE = @DEMOTOOLS_ENABLE@
338 DEPDIR = @DEPDIR@
339 DLLTOOL = @DLLTOOL@
340 DOCBOOK_ROOT = @DOCBOOK_ROOT@
341 DOXYGEN_BIN = @DOXYGEN_BIN@
342 DSYMUTIL = @DSYMUTIL@
343 DUMPBIN = @DUMPBIN@
344 ECHO_C = @ECHO_C@
345 ECHO_N = @ECHO_N@
346 ECHO_T = @ECHO_T@
347 ECJ = @ECJ@
348 EGREP = @EGREP@
349 EIGEN_CPPFLAGS = @EIGEN_CPPFLAGS@
350 EXEEXT = @EXEEXT@
351 F77 = @F77@
352 FFLAGS = @FFLAGS@
353 FFTW3_LIB = @FFTW3_LIB@
354 FFTW_ENABLE = @FFTW_ENABLE@
355 FGREP = @FGREP@
356 FLEXDOCK = @FLEXDOCK@
357 FLIBS = @FLIBS@
358 FOP = @FOP@
359 FREEHEP_GRAPHICS2D = @FREEHEP_GRAPHICS2D@
360 FREEHEP_GRAPHICSIO = @FREEHEP_GRAPHICSIO@
361 FREEHEP_GRAPHICSIO_EMF = @FREEHEP_GRAPHICSIO_EMF@
362 FREEHEP_IO = @FREEHEP_IO@
363 FREEHEP_UTIL = @FREEHEP_UTIL@
364 GENHTML = @GENHTML@
365 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
366 GIWS_BIN = @GIWS_BIN@
367 GLUEGEN2_RT = @GLUEGEN2_RT@
368 GMSGFMT = @GMSGFMT@
369 GMSGFMT_015 = @GMSGFMT_015@
370 GRAPHICS_ENABLE = @GRAPHICS_ENABLE@
371 GREP = @GREP@
372 GUI_ENABLE = @GUI_ENABLE@
373 HAMCREST = @HAMCREST@
374 HAVE_CXX11 = @HAVE_CXX11@
375 HDF5_CFLAGS = @HDF5_CFLAGS@
376 HDF5_LIBS = @HDF5_LIBS@
377 HELP_ENABLE = @HELP_ENABLE@
378 INSTALL = @INSTALL@
379 INSTALL_DATA = @INSTALL_DATA@
380 INSTALL_PROGRAM = @INSTALL_PROGRAM@
381 INSTALL_SCRIPT = @INSTALL_SCRIPT@
382 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
383 INTLLIBS = @INTLLIBS@
384 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
385 JAR = @JAR@
386 JAVA = @JAVA@
387 JAVAC = @JAVAC@
388 JAVAC_DEBUG = @JAVAC_DEBUG@
389 JAVADOC = @JAVADOC@
390 JAVAH = @JAVAH@
391 JAVASCI_ENABLE = @JAVASCI_ENABLE@
392 JAVA_ENABLE = @JAVA_ENABLE@
393 JAVA_G = @JAVA_G@
394 JAVA_HOME = @JAVA_HOME@
395 JAVA_JNI_INCLUDE = @JAVA_JNI_INCLUDE@
396 JAVA_JNI_LIBS = @JAVA_JNI_LIBS@
397 JDB = @JDB@
398 JEUCLID_CORE = @JEUCLID_CORE@
399 JGRAPHX = @JGRAPHX@
400 JHALL = @JHALL@
401 JLATEXMATH = @JLATEXMATH@
402 JLATEXMATH_FOP = @JLATEXMATH_FOP@
403 JOGL2 = @JOGL2@
404 JROSETTA_API = @JROSETTA_API@
405 JROSETTA_ENGINE = @JROSETTA_ENGINE@
406 JUNIT4 = @JUNIT4@
407 LAPACK_LIBS = @LAPACK_LIBS@
408 LCOV = @LCOV@
409 LD = @LD@
410 LDFLAGS = @LDFLAGS@
411 LEX = @LEX@
412 LEXLIB = @LEXLIB@
413 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
414 LIBICONV = @LIBICONV@
415 LIBINTL = @LIBINTL@
416 LIBM = @LIBM@
417 LIBOBJS = @LIBOBJS@
418 LIBS = @LIBS@
419 LIBTOOL = @LIBTOOL@
420 LIPO = @LIPO@
421 LN_S = @LN_S@
422 LOGGING_LEVEL = @LOGGING_LEVEL@
423 LOOKS = @LOOKS@
424 LTLIBICONV = @LTLIBICONV@
425 LTLIBINTL = @LTLIBINTL@
426 LTLIBOBJS = @LTLIBOBJS@
427 MAINT = @MAINT@
428 MAKEINFO = @MAKEINFO@
429 MANIFEST_TOOL = @MANIFEST_TOOL@
430 MATIO_CFLAGS = @MATIO_CFLAGS@
431 MATIO_ENABLE = @MATIO_ENABLE@
432 MATIO_LIBS = @MATIO_LIBS@
433 MKDIR_P = @MKDIR_P@
434 MPI_ENABLE = @MPI_ENABLE@
435 MSGCAT = @MSGCAT@
436 MSGFMT = @MSGFMT@
437 MSGFMT_015 = @MSGFMT_015@
438 MSGMERGE = @MSGMERGE@
439 NM = @NM@
440 NMEDIT = @NMEDIT@
441 OBJDUMP = @OBJDUMP@
442 OBJEXT = @OBJEXT@
443 OCAMLC = @OCAMLC@
444 OCAMLDEP = @OCAMLDEP@
445 OCAMLLEX = @OCAMLLEX@
446 OCAMLOPT = @OCAMLOPT@
447 OCAMLYACC = @OCAMLYACC@
448 OPENMPI_CC = @OPENMPI_CC@
449 OPENMPI_CFLAGS = @OPENMPI_CFLAGS@
450 OPENMPI_CXX = @OPENMPI_CXX@
451 OPENMPI_CXXFLAGS = @OPENMPI_CXXFLAGS@
452 OPENMPI_LIBS = @OPENMPI_LIBS@
453 OPENMP_CFLAGS = @OPENMP_CFLAGS@
454 OPENMP_CXXFLAGS = @OPENMP_CXXFLAGS@
455 OPENMP_ENABLE = @OPENMP_ENABLE@
456 OPENMP_LIBS = @OPENMP_LIBS@
457 OTOOL = @OTOOL@
458 OTOOL64 = @OTOOL64@
459 PACKAGE = @PACKAGE@
460 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
461 PACKAGE_NAME = @PACKAGE_NAME@
462 PACKAGE_STRING = @PACKAGE_STRING@
463 PACKAGE_TARNAME = @PACKAGE_TARNAME@
464 PACKAGE_URL = @PACKAGE_URL@
465 PACKAGE_VERSION = @PACKAGE_VERSION@
466 PATH_SEPARATOR = @PATH_SEPARATOR@
467 PCRE_CFLAGS = @PCRE_CFLAGS@
468 PCRE_CONFIG = @PCRE_CONFIG@
469 PCRE_LIBS = @PCRE_LIBS@
470 PCRE_VERSION = @PCRE_VERSION@
471 PKG_CONFIG = @PKG_CONFIG@
472 POSUB = @POSUB@
473 POW_LIB = @POW_LIB@
474 PYTHON = @PYTHON@
475 RANLIB = @RANLIB@
476 RELOCATABLE = @RELOCATABLE@
477 RT_LIB = @RT_LIB@
478 SAXON = @SAXON@
479 SCILAB_BINARY_VERSION = @SCILAB_BINARY_VERSION@
480 SCILAB_LIBRARY_VERSION = @SCILAB_LIBRARY_VERSION@
481 SCILAB_VERSION_MAINTENANCE = @SCILAB_VERSION_MAINTENANCE@
482 SCILAB_VERSION_MAJOR = @SCILAB_VERSION_MAJOR@
483 SCILAB_VERSION_MINOR = @SCILAB_VERSION_MINOR@
484 SCIRENDERER = @SCIRENDERER@
485 SCIRENDERER_CP = @SCIRENDERER_CP@
486 SCI_CFLAGS = @SCI_CFLAGS@
487 SCI_CXXFLAGS = @SCI_CXXFLAGS@
488 SCI_FFLAGS = @SCI_FFLAGS@
489 SCI_LDFLAGS = @SCI_LDFLAGS@
490 SED = @SED@
491 SET_MAKE = @SET_MAKE@
492 SET_RELOCATABLE = @SET_RELOCATABLE@
493 SHELL = @SHELL@
494 SKINLF = @SKINLF@
495 SPLINT = @SPLINT@
496 STRIP = @STRIP@
497 SWIG_BIN = @SWIG_BIN@
498 SWIG_JAVA = @SWIG_JAVA@
499 SWIG_RUNTIME_LIBS_DIR = @SWIG_RUNTIME_LIBS_DIR@
500 SWIG_SCILAB = @SWIG_SCILAB@
501 TCLTK_LIBS = @TCLTK_LIBS@
502 TCL_INC_PATH = @TCL_INC_PATH@
503 TK_INC_PATH = @TK_INC_PATH@
504 UMFPACK_CFLAGS = @UMFPACK_CFLAGS@
505 UMFPACK_ENABLE = @UMFPACK_ENABLE@
506 UMFPACK_LIB = @UMFPACK_LIB@
507 USE_NLS = @USE_NLS@
508 VALGRIND_CFLAGS = @VALGRIND_CFLAGS@
509 VALGRIND_LIBS = @VALGRIND_LIBS@
510 VERSION = @VERSION@
511 WITH_OCAML = @WITH_OCAML@
512 WITH_TKSCI = @WITH_TKSCI@
513 XCOS_ENABLE = @XCOS_ENABLE@
514 XGETTEXT = @XGETTEXT@
515 XGETTEXT_015 = @XGETTEXT_015@
516 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
517 XMKMF = @XMKMF@
518 XMLGRAPHICS_COMMONS = @XMLGRAPHICS_COMMONS@
519 XML_APIS_EXT = @XML_APIS_EXT@
520 XML_CONFIG = @XML_CONFIG@
521 XML_FLAGS = @XML_FLAGS@
522 XML_LIBS = @XML_LIBS@
523 XML_VERSION = @XML_VERSION@
524 X_CFLAGS = @X_CFLAGS@
525 X_EXTRA_LIBS = @X_EXTRA_LIBS@
526 X_LIBS = @X_LIBS@
527 X_PRE_LIBS = @X_PRE_LIBS@
528 YACC = @YACC@
529 YFLAGS = @YFLAGS@
530 abs_builddir = @abs_builddir@
531 abs_srcdir = @abs_srcdir@
532 abs_top_builddir = @abs_top_builddir@
533 abs_top_srcdir = @abs_top_srcdir@
534 ac_ct_AR = @ac_ct_AR@
535 ac_ct_CC = @ac_ct_CC@
536 ac_ct_CXX = @ac_ct_CXX@
537 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
538 ac_ct_F77 = @ac_ct_F77@
539 am__include = @am__include@
540 am__leading_dot = @am__leading_dot@
541 am__quote = @am__quote@
542 am__tar = @am__tar@
543 am__untar = @am__untar@
544 bindir = @bindir@
545 build = @build@
546 build_alias = @build_alias@
547 build_cpu = @build_cpu@
548 build_os = @build_os@
549 build_vendor = @build_vendor@
550 builddir = @builddir@
551 cxx_present = @cxx_present@
552 datadir = @datadir@
553 datarootdir = @datarootdir@
554 docdir = @docdir@
555 dvidir = @dvidir@
556 exec_prefix = @exec_prefix@
557 host = @host@
558 host_alias = @host_alias@
559 host_cpu = @host_cpu@
560 host_os = @host_os@
561 host_vendor = @host_vendor@
562 htmldir = @htmldir@
563 includedir = @includedir@
564 infodir = @infodir@
565 install_sh = @install_sh@
566 libdir = @libdir@
567 libexecdir = @libexecdir@
568 localedir = @localedir@
569 localstatedir = @localstatedir@
570 mandir = @mandir@
571 mkdir_p = @mkdir_p@
572 oldincludedir = @oldincludedir@
573 pdfdir = @pdfdir@
574 prefix = @prefix@
575 program_transform_name = @program_transform_name@
576 psdir = @psdir@
577 sbindir = @sbindir@
578 sharedstatedir = @sharedstatedir@
579 srcdir = @srcdir@
580 sysconfdir = @sysconfdir@
581 target_alias = @target_alias@
582 top_build_prefix = @top_build_prefix@
583 top_builddir = @top_builddir@
584 top_srcdir = @top_srcdir@
585 yacc_present = @yacc_present@
586 IO_C_SOURCES = \
587     src/c/getpidc.c \
588     src/c/setenvc.c \
589     src/c/systemc.c \
590     src/c/getenvc.c \
591     src/c/v2cuniterror.c
592
593 IO_CPP_SOURCES = \
594     src/cpp/io_gw.cpp \
595     src/cpp/loadlib.cpp \
596     src/cpp/readwrite.cpp
597
598 GATEWAY_C_SOURCES = \
599     sci_gateway/c/sci_read4b.c \
600     sci_gateway/c/sci_readb.c \
601     sci_gateway/c/sci_getenv.c \
602     sci_gateway/c/sci_writeb.c \
603     sci_gateway/c/sci_setenv.c \
604     sci_gateway/c/sci_getpid.c \
605     sci_gateway/c/sci_write4b.c
606
607 GATEWAY_CPP_SOURCES = \
608     sci_gateway/cpp/sci_genlib.cpp \
609     sci_gateway/cpp/sci_file.cpp \
610     sci_gateway/cpp/sci_host.cpp \
611     sci_gateway/cpp/sci_unix.cpp \
612     sci_gateway/cpp/sci_read.cpp \
613     sci_gateway/cpp/sci_write.cpp \
614     sci_gateway/cpp/sci_lib.cpp \
615     sci_gateway/cpp/sci_getio.cpp
616
617 libsciio_la_CPPFLAGS = \
618     -I$(srcdir)/includes/ \
619     -I$(srcdir)/src/c/ \
620     -I$(srcdir)/src/cpp/ \
621     -I$(top_srcdir)/modules/ast/includes/ast/ \
622     -I$(top_srcdir)/modules/ast/includes/exps/ \
623     -I$(top_srcdir)/modules/ast/includes/operations/ \
624     -I$(top_srcdir)/modules/ast/includes/parse/ \
625     -I$(top_srcdir)/modules/ast/includes/symbol/ \
626     -I$(top_srcdir)/modules/ast/includes/system_env/ \
627     -I$(top_srcdir)/modules/ast/includes/types/ \
628     -I$(top_srcdir)/modules/ast/includes/analysis/ \
629     -I$(top_srcdir)/modules/core/includes/ \
630     -I$(top_srcdir)/modules/api_scilab/includes/ \
631     -I$(top_srcdir)/modules/functions_manager/includes/ \
632     -I$(top_srcdir)/modules/elementary_functions/includes/ \
633     -I$(top_srcdir)/modules/fileio/includes/ \
634     -I$(top_srcdir)/modules/string/includes/ \
635     -I$(top_srcdir)/modules/output_stream/includes/ \
636     -I$(top_srcdir)/modules/localization/includes/ \
637     -I$(top_srcdir)/modules/threads/includes/ \
638     -I$(top_srcdir)/modules/dynamic_link/includes \
639     -I$(top_srcdir)/modules/console/includes \
640     -I$(top_srcdir)/modules/hdf5/includes \
641     -I$(top_srcdir)/modules/tclsci/includes \
642     $(XML_FLAGS) \
643     $(AM_CPPFLAGS)
644
645 @MAINTAINER_MODE_TRUE@pkglib_LTLIBRARIES = libsciio.la
646 @MAINTAINER_MODE_FALSE@noinst_LTLIBRARIES = libsciio-algo.la libsciio.la
647 @MAINTAINER_MODE_TRUE@noinst_LTLIBRARIES = libsciio-algo.la
648 libsciio_algo_la_SOURCES = $(IO_C_SOURCES) $(IO_CPP_SOURCES)
649 libsciio_la_SOURCES = $(GATEWAY_C_SOURCES) $(GATEWAY_CPP_SOURCES)
650 libsciio_algo_la_CPPFLAGS = $(libsciio_la_CPPFLAGS)
651
652 # For the code check (splint)
653 CHECK_SRC = $(IO_C_SOURCES) $(GATEWAY_C_SOURCES)
654 INCLUDE_FLAGS = $(libsciio_la_CPPFLAGS)
655 libsciio_la_LIBADD = libsciio-algo.la
656
657 #### Target ######
658 modulename = io
659
660 #### io : Conf files ####
661 libsciio_la_rootdir = $(mydatadir)
662 libsciio_la_root_DATA = license.txt
663
664 ####io : init scripts ####
665 libsciio_la_etcdir = $(mydatadir)/etc
666 libsciio_la_etc_DATA = \
667     etc/io.quit \
668     etc/io.start
669
670
671 ####io : gateway declaration ####
672 libsciio_la_sci_gatewaydir = $(mydatadir)/sci_gateway
673 libsciio_la_sci_gateway_DATA = sci_gateway/io_gateway.xml
674
675 # Where all the Scilab stuff is installed (macros, help, ...)
676 mydatadir = $(pkgdatadir)/modules/$(modulename)
677
678 # Set AM_* SCI detected settings
679 AM_CPPFLAGS = $(SCI_CPPFLAGS)
680 AM_CFLAGS = $(SCI_CFLAGS)
681 AM_CXXFLAGS = $(SCI_CXXFLAGS)
682 # append includes to AM_FFLAGS to manage fortran includes
683 AM_FFLAGS = $(SCI_FFLAGS) -I$(top_srcdir)/modules/core/includes/
684
685 # Tag shared libraries with the Scilab version
686 AM_LDFLAGS = $(SCI_LDFLAGS) -version-number $(SCILAB_LIBRARY_VERSION)
687
688 # splint options
689 SPLINT_OPTIONS = -weak -booltype BOOL
690
691 ########################### JAVA ######################################
692 #### We are delegating java compilation to ant... Thanks to that
693 #### the procedure will be the same with Microsoft Windows (C)
694 #### and Linux/Unix
695 #######################################################################
696 TARGETS_ALL = $(am__append_1)
697
698 ################ MACROS ######################
699 # Rule to build a macro
700 # NOT USED  AT THE MOMENT
701 SUFFIXES = .sci
702
703 ########### INSTALL DOCUMENTATION ###################
704
705 # Install documentation files into the right target
706 # We do not use the automake mechanism (libxxxx_la_help_fr_DATA) because
707 # automake needs the html files to be present which is not the case when
708 # we are building Scilab
709
710 # Where it should be installed
711 pkgdocdir = $(mydatadir)
712
713 # What is the mask of the help source
714 DOCMASKXML = *.xml
715
716 # What is the mask of the MathML sources
717 DOCMASKMML = *.mml
718
719 ########### INSTALL DATA ###################
720 # Install macros, help & demos
721 # Where it should be installed
722 pkgmacrosdir = $(mydatadir)
723 # Which directory we process
724 MACRODIRS = macros/
725 # Mask of the Scilab sources macros
726 MACROMASK = *.sci
727 # Mask of the Scilab executable sources macros
728 MACROBUILDMASK = *.sce
729 # Mask of the Scilab compiled macros
730 MACROBINMASK = *.bin
731 # List of the standard directory for tests
732 TESTS_DIR = tests/benchmarks tests/nonreg_tests tests/unit_tests tests/java
733 # Where the demos should be installed
734 pkgdemosdir = $(mydatadir)
735 # List of the standard directory for demos
736 DEMOS_DIR = demos
737 # List of the standard directory for examples
738 EXAMPLES_DIR = examples
739 # Where to export JAVA archives (.jar)
740 JARDIR = jar/
741 # JAR files mask
742 JARMASK = *.jar
743 # Chapter file
744 HELP_CHAPTERDIR = help/
745 HELP_CHAPTERFILE = addchapter.sce
746 HELP_CHAPTERLANG = en_US fr_FR pt_BR
747 all: all-am
748
749 .SUFFIXES:
750 .SUFFIXES: .sci .bin .c .cpp .lo .o .obj
751 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/Makefile.incl.am $(am__configure_deps)
752         @for dep in $?; do \
753           case '$(am__configure_deps)' in \
754             *$$dep*) \
755               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
756                 && { if test -f $@; then exit 0; else break; fi; }; \
757               exit 1;; \
758           esac; \
759         done; \
760         echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign modules/io/Makefile'; \
761         $(am__cd) $(top_srcdir) && \
762           $(AUTOMAKE) --foreign modules/io/Makefile
763 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
764         @case '$?' in \
765           *config.status*) \
766             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
767           *) \
768             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
769             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
770         esac;
771 $(top_srcdir)/Makefile.incl.am $(am__empty):
772
773 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
774         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
775
776 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
777         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
778 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
779         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
780 $(am__aclocal_m4_deps):
781
782 clean-noinstLTLIBRARIES:
783         -test -z "$(noinst_LTLIBRARIES)" || rm -f $(noinst_LTLIBRARIES)
784         @list='$(noinst_LTLIBRARIES)'; \
785         locs=`for p in $$list; do echo $$p; done | \
786               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
787               sort -u`; \
788         test -z "$$locs" || { \
789           echo rm -f $${locs}; \
790           rm -f $${locs}; \
791         }
792
793 install-pkglibLTLIBRARIES: $(pkglib_LTLIBRARIES)
794         @$(NORMAL_INSTALL)
795         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
796         list2=; for p in $$list; do \
797           if test -f $$p; then \
798             list2="$$list2 $$p"; \
799           else :; fi; \
800         done; \
801         test -z "$$list2" || { \
802           echo " $(MKDIR_P) '$(DESTDIR)$(pkglibdir)'"; \
803           $(MKDIR_P) "$(DESTDIR)$(pkglibdir)" || exit 1; \
804           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 '$(DESTDIR)$(pkglibdir)'"; \
805           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=install $(INSTALL) $(INSTALL_STRIP_FLAG) $$list2 "$(DESTDIR)$(pkglibdir)"; \
806         }
807
808 uninstall-pkglibLTLIBRARIES:
809         @$(NORMAL_UNINSTALL)
810         @list='$(pkglib_LTLIBRARIES)'; test -n "$(pkglibdir)" || list=; \
811         for p in $$list; do \
812           $(am__strip_dir) \
813           echo " $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f '$(DESTDIR)$(pkglibdir)/$$f'"; \
814           $(LIBTOOL) $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=uninstall rm -f "$(DESTDIR)$(pkglibdir)/$$f"; \
815         done
816
817 clean-pkglibLTLIBRARIES:
818         -test -z "$(pkglib_LTLIBRARIES)" || rm -f $(pkglib_LTLIBRARIES)
819         @list='$(pkglib_LTLIBRARIES)'; \
820         locs=`for p in $$list; do echo $$p; done | \
821               sed 's|^[^/]*$$|.|; s|/[^/]*$$||; s|$$|/so_locations|' | \
822               sort -u`; \
823         test -z "$$locs" || { \
824           echo rm -f $${locs}; \
825           rm -f $${locs}; \
826         }
827 src/c/$(am__dirstamp):
828         @$(MKDIR_P) src/c
829         @: > src/c/$(am__dirstamp)
830 src/c/$(DEPDIR)/$(am__dirstamp):
831         @$(MKDIR_P) src/c/$(DEPDIR)
832         @: > src/c/$(DEPDIR)/$(am__dirstamp)
833 src/c/libsciio_algo_la-getpidc.lo: src/c/$(am__dirstamp) \
834         src/c/$(DEPDIR)/$(am__dirstamp)
835 src/c/libsciio_algo_la-setenvc.lo: src/c/$(am__dirstamp) \
836         src/c/$(DEPDIR)/$(am__dirstamp)
837 src/c/libsciio_algo_la-systemc.lo: src/c/$(am__dirstamp) \
838         src/c/$(DEPDIR)/$(am__dirstamp)
839 src/c/libsciio_algo_la-getenvc.lo: src/c/$(am__dirstamp) \
840         src/c/$(DEPDIR)/$(am__dirstamp)
841 src/c/libsciio_algo_la-v2cuniterror.lo: src/c/$(am__dirstamp) \
842         src/c/$(DEPDIR)/$(am__dirstamp)
843 src/cpp/$(am__dirstamp):
844         @$(MKDIR_P) src/cpp
845         @: > src/cpp/$(am__dirstamp)
846 src/cpp/$(DEPDIR)/$(am__dirstamp):
847         @$(MKDIR_P) src/cpp/$(DEPDIR)
848         @: > src/cpp/$(DEPDIR)/$(am__dirstamp)
849 src/cpp/libsciio_algo_la-io_gw.lo: src/cpp/$(am__dirstamp) \
850         src/cpp/$(DEPDIR)/$(am__dirstamp)
851 src/cpp/libsciio_algo_la-loadlib.lo: src/cpp/$(am__dirstamp) \
852         src/cpp/$(DEPDIR)/$(am__dirstamp)
853 src/cpp/libsciio_algo_la-readwrite.lo: src/cpp/$(am__dirstamp) \
854         src/cpp/$(DEPDIR)/$(am__dirstamp)
855
856 libsciio-algo.la: $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_DEPENDENCIES) $(EXTRA_libsciio_algo_la_DEPENDENCIES) 
857         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciio_algo_la_rpath) $(libsciio_algo_la_OBJECTS) $(libsciio_algo_la_LIBADD) $(LIBS)
858 sci_gateway/c/$(am__dirstamp):
859         @$(MKDIR_P) sci_gateway/c
860         @: > sci_gateway/c/$(am__dirstamp)
861 sci_gateway/c/$(DEPDIR)/$(am__dirstamp):
862         @$(MKDIR_P) sci_gateway/c/$(DEPDIR)
863         @: > sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
864 sci_gateway/c/libsciio_la-sci_read4b.lo:  \
865         sci_gateway/c/$(am__dirstamp) \
866         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
867 sci_gateway/c/libsciio_la-sci_readb.lo: sci_gateway/c/$(am__dirstamp) \
868         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
869 sci_gateway/c/libsciio_la-sci_getenv.lo:  \
870         sci_gateway/c/$(am__dirstamp) \
871         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
872 sci_gateway/c/libsciio_la-sci_writeb.lo:  \
873         sci_gateway/c/$(am__dirstamp) \
874         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
875 sci_gateway/c/libsciio_la-sci_setenv.lo:  \
876         sci_gateway/c/$(am__dirstamp) \
877         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
878 sci_gateway/c/libsciio_la-sci_getpid.lo:  \
879         sci_gateway/c/$(am__dirstamp) \
880         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
881 sci_gateway/c/libsciio_la-sci_write4b.lo:  \
882         sci_gateway/c/$(am__dirstamp) \
883         sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
884 sci_gateway/cpp/$(am__dirstamp):
885         @$(MKDIR_P) sci_gateway/cpp
886         @: > sci_gateway/cpp/$(am__dirstamp)
887 sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp):
888         @$(MKDIR_P) sci_gateway/cpp/$(DEPDIR)
889         @: > sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
890 sci_gateway/cpp/libsciio_la-sci_genlib.lo:  \
891         sci_gateway/cpp/$(am__dirstamp) \
892         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
893 sci_gateway/cpp/libsciio_la-sci_file.lo:  \
894         sci_gateway/cpp/$(am__dirstamp) \
895         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
896 sci_gateway/cpp/libsciio_la-sci_host.lo:  \
897         sci_gateway/cpp/$(am__dirstamp) \
898         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
899 sci_gateway/cpp/libsciio_la-sci_unix.lo:  \
900         sci_gateway/cpp/$(am__dirstamp) \
901         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
902 sci_gateway/cpp/libsciio_la-sci_read.lo:  \
903         sci_gateway/cpp/$(am__dirstamp) \
904         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
905 sci_gateway/cpp/libsciio_la-sci_write.lo:  \
906         sci_gateway/cpp/$(am__dirstamp) \
907         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
908 sci_gateway/cpp/libsciio_la-sci_lib.lo:  \
909         sci_gateway/cpp/$(am__dirstamp) \
910         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
911 sci_gateway/cpp/libsciio_la-sci_getio.lo:  \
912         sci_gateway/cpp/$(am__dirstamp) \
913         sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
914
915 libsciio.la: $(libsciio_la_OBJECTS) $(libsciio_la_DEPENDENCIES) $(EXTRA_libsciio_la_DEPENDENCIES) 
916         $(AM_V_CXXLD)$(CXXLINK) $(am_libsciio_la_rpath) $(libsciio_la_OBJECTS) $(libsciio_la_LIBADD) $(LIBS)
917
918 mostlyclean-compile:
919         -rm -f *.$(OBJEXT)
920         -rm -f sci_gateway/c/*.$(OBJEXT)
921         -rm -f sci_gateway/c/*.lo
922         -rm -f sci_gateway/cpp/*.$(OBJEXT)
923         -rm -f sci_gateway/cpp/*.lo
924         -rm -f src/c/*.$(OBJEXT)
925         -rm -f src/c/*.lo
926         -rm -f src/cpp/*.$(OBJEXT)
927         -rm -f src/cpp/*.lo
928
929 distclean-compile:
930         -rm -f *.tab.c
931
932 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Plo@am__quote@
933 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Plo@am__quote@
934 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Plo@am__quote@
935 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Plo@am__quote@
936 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Plo@am__quote@
937 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Plo@am__quote@
938 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Plo@am__quote@
939 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Plo@am__quote@
940 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Plo@am__quote@
941 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_getio.Plo@am__quote@
942 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Plo@am__quote@
943 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Plo@am__quote@
944 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Plo@am__quote@
945 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Plo@am__quote@
946 @AMDEP_TRUE@@am__include@ @am__quote@sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Plo@am__quote@
947 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Plo@am__quote@
948 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Plo@am__quote@
949 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Plo@am__quote@
950 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-systemc.Plo@am__quote@
951 @AMDEP_TRUE@@am__include@ @am__quote@src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo@am__quote@
952 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Plo@am__quote@
953 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Plo@am__quote@
954 @AMDEP_TRUE@@am__include@ @am__quote@src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Plo@am__quote@
955
956 .c.o:
957 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
958 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
959 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
960 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
961 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
962 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
963
964 .c.obj:
965 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
966 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
967 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Po
968 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
969 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
970 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
971
972 .c.lo:
973 @am__fastdepCC_TRUE@    $(AM_V_CC)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
974 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
975 @am__fastdepCC_TRUE@    $(am__mv) $$depbase.Tpo $$depbase.Plo
976 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
977 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
978 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LTCOMPILE) -c -o $@ $<
979
980 src/c/libsciio_algo_la-getpidc.lo: src/c/getpidc.c
981 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-getpidc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Tpo -c -o src/c/libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
982 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-getpidc.Plo
983 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getpidc.c' object='src/c/libsciio_algo_la-getpidc.lo' libtool=yes @AMDEPBACKSLASH@
984 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
985 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-getpidc.lo `test -f 'src/c/getpidc.c' || echo '$(srcdir)/'`src/c/getpidc.c
986
987 src/c/libsciio_algo_la-setenvc.lo: src/c/setenvc.c
988 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-setenvc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Tpo -c -o src/c/libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
989 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-setenvc.Plo
990 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/setenvc.c' object='src/c/libsciio_algo_la-setenvc.lo' libtool=yes @AMDEPBACKSLASH@
991 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
992 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-setenvc.lo `test -f 'src/c/setenvc.c' || echo '$(srcdir)/'`src/c/setenvc.c
993
994 src/c/libsciio_algo_la-systemc.lo: src/c/systemc.c
995 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-systemc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-systemc.Tpo -c -o src/c/libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
996 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-systemc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-systemc.Plo
997 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/systemc.c' object='src/c/libsciio_algo_la-systemc.lo' libtool=yes @AMDEPBACKSLASH@
998 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
999 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-systemc.lo `test -f 'src/c/systemc.c' || echo '$(srcdir)/'`src/c/systemc.c
1000
1001 src/c/libsciio_algo_la-getenvc.lo: src/c/getenvc.c
1002 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-getenvc.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Tpo -c -o src/c/libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
1003 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Tpo src/c/$(DEPDIR)/libsciio_algo_la-getenvc.Plo
1004 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/getenvc.c' object='src/c/libsciio_algo_la-getenvc.lo' libtool=yes @AMDEPBACKSLASH@
1005 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1006 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-getenvc.lo `test -f 'src/c/getenvc.c' || echo '$(srcdir)/'`src/c/getenvc.c
1007
1008 src/c/libsciio_algo_la-v2cuniterror.lo: src/c/v2cuniterror.c
1009 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT src/c/libsciio_algo_la-v2cuniterror.lo -MD -MP -MF src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo -c -o src/c/libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
1010 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Tpo src/c/$(DEPDIR)/libsciio_algo_la-v2cuniterror.Plo
1011 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='src/c/v2cuniterror.c' object='src/c/libsciio_algo_la-v2cuniterror.lo' libtool=yes @AMDEPBACKSLASH@
1012 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1013 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o src/c/libsciio_algo_la-v2cuniterror.lo `test -f 'src/c/v2cuniterror.c' || echo '$(srcdir)/'`src/c/v2cuniterror.c
1014
1015 sci_gateway/c/libsciio_la-sci_read4b.lo: sci_gateway/c/sci_read4b.c
1016 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_read4b.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Tpo -c -o sci_gateway/c/libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
1017 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_read4b.Plo
1018 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_read4b.c' object='sci_gateway/c/libsciio_la-sci_read4b.lo' libtool=yes @AMDEPBACKSLASH@
1019 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1020 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_read4b.lo `test -f 'sci_gateway/c/sci_read4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_read4b.c
1021
1022 sci_gateway/c/libsciio_la-sci_readb.lo: sci_gateway/c/sci_readb.c
1023 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_readb.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Tpo -c -o sci_gateway/c/libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
1024 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_readb.Plo
1025 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_readb.c' object='sci_gateway/c/libsciio_la-sci_readb.lo' libtool=yes @AMDEPBACKSLASH@
1026 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1027 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_readb.lo `test -f 'sci_gateway/c/sci_readb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_readb.c
1028
1029 sci_gateway/c/libsciio_la-sci_getenv.lo: sci_gateway/c/sci_getenv.c
1030 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_getenv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Tpo -c -o sci_gateway/c/libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
1031 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getenv.Plo
1032 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getenv.c' object='sci_gateway/c/libsciio_la-sci_getenv.lo' libtool=yes @AMDEPBACKSLASH@
1033 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1034 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_getenv.lo `test -f 'sci_gateway/c/sci_getenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getenv.c
1035
1036 sci_gateway/c/libsciio_la-sci_writeb.lo: sci_gateway/c/sci_writeb.c
1037 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_writeb.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Tpo -c -o sci_gateway/c/libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
1038 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_writeb.Plo
1039 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_writeb.c' object='sci_gateway/c/libsciio_la-sci_writeb.lo' libtool=yes @AMDEPBACKSLASH@
1040 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1041 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_writeb.lo `test -f 'sci_gateway/c/sci_writeb.c' || echo '$(srcdir)/'`sci_gateway/c/sci_writeb.c
1042
1043 sci_gateway/c/libsciio_la-sci_setenv.lo: sci_gateway/c/sci_setenv.c
1044 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_setenv.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Tpo -c -o sci_gateway/c/libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
1045 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_setenv.Plo
1046 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_setenv.c' object='sci_gateway/c/libsciio_la-sci_setenv.lo' libtool=yes @AMDEPBACKSLASH@
1047 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1048 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_setenv.lo `test -f 'sci_gateway/c/sci_setenv.c' || echo '$(srcdir)/'`sci_gateway/c/sci_setenv.c
1049
1050 sci_gateway/c/libsciio_la-sci_getpid.lo: sci_gateway/c/sci_getpid.c
1051 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_getpid.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Tpo -c -o sci_gateway/c/libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
1052 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_getpid.Plo
1053 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_getpid.c' object='sci_gateway/c/libsciio_la-sci_getpid.lo' libtool=yes @AMDEPBACKSLASH@
1054 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1055 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_getpid.lo `test -f 'sci_gateway/c/sci_getpid.c' || echo '$(srcdir)/'`sci_gateway/c/sci_getpid.c
1056
1057 sci_gateway/c/libsciio_la-sci_write4b.lo: sci_gateway/c/sci_write4b.c
1058 @am__fastdepCC_TRUE@    $(AM_V_CC)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sci_gateway/c/libsciio_la-sci_write4b.lo -MD -MP -MF sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Tpo -c -o sci_gateway/c/libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
1059 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Tpo sci_gateway/c/$(DEPDIR)/libsciio_la-sci_write4b.Plo
1060 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='sci_gateway/c/sci_write4b.c' object='sci_gateway/c/libsciio_la-sci_write4b.lo' libtool=yes @AMDEPBACKSLASH@
1061 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1062 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sci_gateway/c/libsciio_la-sci_write4b.lo `test -f 'sci_gateway/c/sci_write4b.c' || echo '$(srcdir)/'`sci_gateway/c/sci_write4b.c
1063
1064 .cpp.o:
1065 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.o$$||'`;\
1066 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1067 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1068 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1069 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1070 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ $<
1071
1072 .cpp.obj:
1073 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.obj$$||'`;\
1074 @am__fastdepCXX_TRUE@   $(CXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ `$(CYGPATH_W) '$<'` &&\
1075 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Po
1076 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
1077 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1078 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(CXXCOMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
1079
1080 .cpp.lo:
1081 @am__fastdepCXX_TRUE@   $(AM_V_CXX)depbase=`echo $@ | sed 's|[^/]*$$|$(DEPDIR)/&|;s|\.lo$$||'`;\
1082 @am__fastdepCXX_TRUE@   $(LTCXXCOMPILE) -MT $@ -MD -MP -MF $$depbase.Tpo -c -o $@ $< &&\
1083 @am__fastdepCXX_TRUE@   $(am__mv) $$depbase.Tpo $$depbase.Plo
1084 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
1085 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1086 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LTCXXCOMPILE) -c -o $@ $<
1087
1088 src/cpp/libsciio_algo_la-io_gw.lo: src/cpp/io_gw.cpp
1089 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-io_gw.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Tpo -c -o src/cpp/libsciio_algo_la-io_gw.lo `test -f 'src/cpp/io_gw.cpp' || echo '$(srcdir)/'`src/cpp/io_gw.cpp
1090 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-io_gw.Plo
1091 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/io_gw.cpp' object='src/cpp/libsciio_algo_la-io_gw.lo' libtool=yes @AMDEPBACKSLASH@
1092 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1093 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-io_gw.lo `test -f 'src/cpp/io_gw.cpp' || echo '$(srcdir)/'`src/cpp/io_gw.cpp
1094
1095 src/cpp/libsciio_algo_la-loadlib.lo: src/cpp/loadlib.cpp
1096 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-loadlib.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Tpo -c -o src/cpp/libsciio_algo_la-loadlib.lo `test -f 'src/cpp/loadlib.cpp' || echo '$(srcdir)/'`src/cpp/loadlib.cpp
1097 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-loadlib.Plo
1098 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/loadlib.cpp' object='src/cpp/libsciio_algo_la-loadlib.lo' libtool=yes @AMDEPBACKSLASH@
1099 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1100 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-loadlib.lo `test -f 'src/cpp/loadlib.cpp' || echo '$(srcdir)/'`src/cpp/loadlib.cpp
1101
1102 src/cpp/libsciio_algo_la-readwrite.lo: src/cpp/readwrite.cpp
1103 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT src/cpp/libsciio_algo_la-readwrite.lo -MD -MP -MF src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Tpo -c -o src/cpp/libsciio_algo_la-readwrite.lo `test -f 'src/cpp/readwrite.cpp' || echo '$(srcdir)/'`src/cpp/readwrite.cpp
1104 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Tpo src/cpp/$(DEPDIR)/libsciio_algo_la-readwrite.Plo
1105 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='src/cpp/readwrite.cpp' object='src/cpp/libsciio_algo_la-readwrite.lo' libtool=yes @AMDEPBACKSLASH@
1106 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1107 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_algo_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o src/cpp/libsciio_algo_la-readwrite.lo `test -f 'src/cpp/readwrite.cpp' || echo '$(srcdir)/'`src/cpp/readwrite.cpp
1108
1109 sci_gateway/cpp/libsciio_la-sci_genlib.lo: sci_gateway/cpp/sci_genlib.cpp
1110 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_genlib.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_genlib.lo `test -f 'sci_gateway/cpp/sci_genlib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_genlib.cpp
1111 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_genlib.Plo
1112 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_genlib.cpp' object='sci_gateway/cpp/libsciio_la-sci_genlib.lo' libtool=yes @AMDEPBACKSLASH@
1113 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1114 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_genlib.lo `test -f 'sci_gateway/cpp/sci_genlib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_genlib.cpp
1115
1116 sci_gateway/cpp/libsciio_la-sci_file.lo: sci_gateway/cpp/sci_file.cpp
1117 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_file.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_file.lo `test -f 'sci_gateway/cpp/sci_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_file.cpp
1118 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_file.Plo
1119 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_file.cpp' object='sci_gateway/cpp/libsciio_la-sci_file.lo' libtool=yes @AMDEPBACKSLASH@
1120 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1121 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_file.lo `test -f 'sci_gateway/cpp/sci_file.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_file.cpp
1122
1123 sci_gateway/cpp/libsciio_la-sci_host.lo: sci_gateway/cpp/sci_host.cpp
1124 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_host.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_host.lo `test -f 'sci_gateway/cpp/sci_host.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_host.cpp
1125 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_host.Plo
1126 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_host.cpp' object='sci_gateway/cpp/libsciio_la-sci_host.lo' libtool=yes @AMDEPBACKSLASH@
1127 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1128 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_host.lo `test -f 'sci_gateway/cpp/sci_host.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_host.cpp
1129
1130 sci_gateway/cpp/libsciio_la-sci_unix.lo: sci_gateway/cpp/sci_unix.cpp
1131 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_unix.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_unix.lo `test -f 'sci_gateway/cpp/sci_unix.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_unix.cpp
1132 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_unix.Plo
1133 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_unix.cpp' object='sci_gateway/cpp/libsciio_la-sci_unix.lo' libtool=yes @AMDEPBACKSLASH@
1134 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1135 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_unix.lo `test -f 'sci_gateway/cpp/sci_unix.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_unix.cpp
1136
1137 sci_gateway/cpp/libsciio_la-sci_read.lo: sci_gateway/cpp/sci_read.cpp
1138 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_read.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_read.lo `test -f 'sci_gateway/cpp/sci_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_read.cpp
1139 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_read.Plo
1140 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_read.cpp' object='sci_gateway/cpp/libsciio_la-sci_read.lo' libtool=yes @AMDEPBACKSLASH@
1141 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1142 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_read.lo `test -f 'sci_gateway/cpp/sci_read.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_read.cpp
1143
1144 sci_gateway/cpp/libsciio_la-sci_write.lo: sci_gateway/cpp/sci_write.cpp
1145 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_write.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_write.lo `test -f 'sci_gateway/cpp/sci_write.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_write.cpp
1146 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_write.Plo
1147 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_write.cpp' object='sci_gateway/cpp/libsciio_la-sci_write.lo' libtool=yes @AMDEPBACKSLASH@
1148 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1149 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_write.lo `test -f 'sci_gateway/cpp/sci_write.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_write.cpp
1150
1151 sci_gateway/cpp/libsciio_la-sci_lib.lo: sci_gateway/cpp/sci_lib.cpp
1152 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_lib.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_lib.lo `test -f 'sci_gateway/cpp/sci_lib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lib.cpp
1153 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_lib.Plo
1154 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_lib.cpp' object='sci_gateway/cpp/libsciio_la-sci_lib.lo' libtool=yes @AMDEPBACKSLASH@
1155 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1156 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_lib.lo `test -f 'sci_gateway/cpp/sci_lib.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_lib.cpp
1157
1158 sci_gateway/cpp/libsciio_la-sci_getio.lo: sci_gateway/cpp/sci_getio.cpp
1159 @am__fastdepCXX_TRUE@   $(AM_V_CXX)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -MT sci_gateway/cpp/libsciio_la-sci_getio.lo -MD -MP -MF sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_getio.Tpo -c -o sci_gateway/cpp/libsciio_la-sci_getio.lo `test -f 'sci_gateway/cpp/sci_getio.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getio.cpp
1160 @am__fastdepCXX_TRUE@   $(AM_V_at)$(am__mv) sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_getio.Tpo sci_gateway/cpp/$(DEPDIR)/libsciio_la-sci_getio.Plo
1161 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      $(AM_V_CXX)source='sci_gateway/cpp/sci_getio.cpp' object='sci_gateway/cpp/libsciio_la-sci_getio.lo' libtool=yes @AMDEPBACKSLASH@
1162 @AMDEP_TRUE@@am__fastdepCXX_FALSE@      DEPDIR=$(DEPDIR) $(CXXDEPMODE) $(depcomp) @AMDEPBACKSLASH@
1163 @am__fastdepCXX_FALSE@  $(AM_V_CXX@am__nodep@)$(LIBTOOL) $(AM_V_lt) --tag=CXX $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) --mode=compile $(CXX) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(libsciio_la_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS) -c -o sci_gateway/cpp/libsciio_la-sci_getio.lo `test -f 'sci_gateway/cpp/sci_getio.cpp' || echo '$(srcdir)/'`sci_gateway/cpp/sci_getio.cpp
1164
1165 mostlyclean-libtool:
1166         -rm -f *.lo
1167
1168 clean-libtool:
1169         -rm -rf .libs _libs
1170         -rm -rf sci_gateway/c/.libs sci_gateway/c/_libs
1171         -rm -rf sci_gateway/cpp/.libs sci_gateway/cpp/_libs
1172         -rm -rf src/c/.libs src/c/_libs
1173         -rm -rf src/cpp/.libs src/cpp/_libs
1174 install-libsciio_la_etcDATA: $(libsciio_la_etc_DATA)
1175         @$(NORMAL_INSTALL)
1176         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1177         if test -n "$$list"; then \
1178           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1179           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_etcdir)" || exit 1; \
1180         fi; \
1181         for p in $$list; do \
1182           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1183           echo "$$d$$p"; \
1184         done | $(am__base_list) | \
1185         while read files; do \
1186           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_etcdir)'"; \
1187           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_etcdir)" || exit $$?; \
1188         done
1189
1190 uninstall-libsciio_la_etcDATA:
1191         @$(NORMAL_UNINSTALL)
1192         @list='$(libsciio_la_etc_DATA)'; test -n "$(libsciio_la_etcdir)" || list=; \
1193         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1194         dir='$(DESTDIR)$(libsciio_la_etcdir)'; $(am__uninstall_files_from_dir)
1195 install-libsciio_la_rootDATA: $(libsciio_la_root_DATA)
1196         @$(NORMAL_INSTALL)
1197         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1198         if test -n "$$list"; then \
1199           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1200           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_rootdir)" || exit 1; \
1201         fi; \
1202         for p in $$list; do \
1203           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1204           echo "$$d$$p"; \
1205         done | $(am__base_list) | \
1206         while read files; do \
1207           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_rootdir)'"; \
1208           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_rootdir)" || exit $$?; \
1209         done
1210
1211 uninstall-libsciio_la_rootDATA:
1212         @$(NORMAL_UNINSTALL)
1213         @list='$(libsciio_la_root_DATA)'; test -n "$(libsciio_la_rootdir)" || list=; \
1214         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1215         dir='$(DESTDIR)$(libsciio_la_rootdir)'; $(am__uninstall_files_from_dir)
1216 install-libsciio_la_sci_gatewayDATA: $(libsciio_la_sci_gateway_DATA)
1217         @$(NORMAL_INSTALL)
1218         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1219         if test -n "$$list"; then \
1220           echo " $(MKDIR_P) '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1221           $(MKDIR_P) "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit 1; \
1222         fi; \
1223         for p in $$list; do \
1224           if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
1225           echo "$$d$$p"; \
1226         done | $(am__base_list) | \
1227         while read files; do \
1228           echo " $(INSTALL_DATA) $$files '$(DESTDIR)$(libsciio_la_sci_gatewaydir)'"; \
1229           $(INSTALL_DATA) $$files "$(DESTDIR)$(libsciio_la_sci_gatewaydir)" || exit $$?; \
1230         done
1231
1232 uninstall-libsciio_la_sci_gatewayDATA:
1233         @$(NORMAL_UNINSTALL)
1234         @list='$(libsciio_la_sci_gateway_DATA)'; test -n "$(libsciio_la_sci_gatewaydir)" || list=; \
1235         files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
1236         dir='$(DESTDIR)$(libsciio_la_sci_gatewaydir)'; $(am__uninstall_files_from_dir)
1237
1238 ID: $(am__tagged_files)
1239         $(am__define_uniq_tagged_files); mkid -fID $$unique
1240 tags: tags-am
1241 TAGS: tags
1242
1243 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1244         set x; \
1245         here=`pwd`; \
1246         $(am__define_uniq_tagged_files); \
1247         shift; \
1248         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
1249           test -n "$$unique" || unique=$$empty_fix; \
1250           if test $$# -gt 0; then \
1251             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1252               "$$@" $$unique; \
1253           else \
1254             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
1255               $$unique; \
1256           fi; \
1257         fi
1258 ctags: ctags-am
1259
1260 CTAGS: ctags
1261 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
1262         $(am__define_uniq_tagged_files); \
1263         test -z "$(CTAGS_ARGS)$$unique" \
1264           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
1265              $$unique
1266
1267 GTAGS:
1268         here=`$(am__cd) $(top_builddir) && pwd` \
1269           && $(am__cd) $(top_srcdir) \
1270           && gtags -i $(GTAGS_ARGS) "$$here"
1271 cscopelist: cscopelist-am
1272
1273 cscopelist-am: $(am__tagged_files)
1274         list='$(am__tagged_files)'; \
1275         case "$(srcdir)" in \
1276           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
1277           *) sdir=$(subdir)/$(srcdir) ;; \
1278         esac; \
1279         for i in $$list; do \
1280           if test -f "$$i"; then \
1281             echo "$(subdir)/$$i"; \
1282           else \
1283             echo "$$sdir/$$i"; \
1284           fi; \
1285         done >> $(top_builddir)/cscope.files
1286
1287 distclean-tags:
1288         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
1289
1290 distdir: $(DISTFILES)
1291         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1292         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
1293         list='$(DISTFILES)'; \
1294           dist_files=`for file in $$list; do echo $$file; done | \
1295           sed -e "s|^$$srcdirstrip/||;t" \
1296               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
1297         case $$dist_files in \
1298           */*) $(MKDIR_P) `echo "$$dist_files" | \
1299                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
1300                            sort -u` ;; \
1301         esac; \
1302         for file in $$dist_files; do \
1303           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
1304           if test -d $$d/$$file; then \
1305             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
1306             if test -d "$(distdir)/$$file"; then \
1307               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1308             fi; \
1309             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
1310               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
1311               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
1312             fi; \
1313             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
1314           else \
1315             test -f "$(distdir)/$$file" \
1316             || cp -p $$d/$$file "$(distdir)/$$file" \
1317             || exit 1; \
1318           fi; \
1319         done
1320 check-am: all-am
1321         $(MAKE) $(AM_MAKEFLAGS) check-local
1322 check: check-am
1323 all-am: Makefile $(LTLIBRARIES) $(DATA) all-local
1324 installdirs:
1325         for dir in "$(DESTDIR)$(pkglibdir)" "$(DESTDIR)$(libsciio_la_etcdir)" "$(DESTDIR)$(libsciio_la_rootdir)" "$(DESTDIR)$(libsciio_la_sci_gatewaydir)"; do \
1326           test -z "$$dir" || $(MKDIR_P) "$$dir"; \
1327         done
1328 install: install-am
1329 install-exec: install-exec-am
1330 install-data: install-data-am
1331 uninstall: uninstall-am
1332
1333 install-am: all-am
1334         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
1335
1336 installcheck: installcheck-am
1337 install-strip:
1338         if test -z '$(STRIP)'; then \
1339           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1340             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1341               install; \
1342         else \
1343           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
1344             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
1345             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
1346         fi
1347 mostlyclean-generic:
1348
1349 clean-generic:
1350
1351 distclean-generic:
1352         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
1353         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
1354         -rm -f sci_gateway/c/$(DEPDIR)/$(am__dirstamp)
1355         -rm -f sci_gateway/c/$(am__dirstamp)
1356         -rm -f sci_gateway/cpp/$(DEPDIR)/$(am__dirstamp)
1357         -rm -f sci_gateway/cpp/$(am__dirstamp)
1358         -rm -f src/c/$(DEPDIR)/$(am__dirstamp)
1359         -rm -f src/c/$(am__dirstamp)
1360         -rm -f src/cpp/$(DEPDIR)/$(am__dirstamp)
1361         -rm -f src/cpp/$(am__dirstamp)
1362
1363 maintainer-clean-generic:
1364         @echo "This command is intended for maintainers to use"
1365         @echo "it deletes files that may require special tools to rebuild."
1366 clean: clean-am
1367
1368 clean-am: clean-generic clean-libtool clean-local \
1369         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES mostlyclean-am
1370
1371 distclean: distclean-am
1372         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR)
1373         -rm -f Makefile
1374 distclean-am: clean-am distclean-compile distclean-generic \
1375         distclean-local distclean-tags
1376
1377 dvi: dvi-am
1378
1379 dvi-am:
1380
1381 html: html-am
1382
1383 html-am:
1384
1385 info: info-am
1386
1387 info-am:
1388
1389 install-data-am: install-data-local install-libsciio_la_etcDATA \
1390         install-libsciio_la_rootDATA \
1391         install-libsciio_la_sci_gatewayDATA
1392
1393 install-dvi: install-dvi-am
1394
1395 install-dvi-am:
1396
1397 install-exec-am: install-pkglibLTLIBRARIES
1398
1399 install-html: install-html-am
1400
1401 install-html-am: install-html-local
1402
1403 install-info: install-info-am
1404
1405 install-info-am:
1406
1407 install-man:
1408
1409 install-pdf: install-pdf-am
1410
1411 install-pdf-am:
1412
1413 install-ps: install-ps-am
1414
1415 install-ps-am:
1416
1417 installcheck-am:
1418
1419 maintainer-clean: maintainer-clean-am
1420         -rm -rf sci_gateway/c/$(DEPDIR) sci_gateway/cpp/$(DEPDIR) src/c/$(DEPDIR) src/cpp/$(DEPDIR)
1421         -rm -f Makefile
1422 maintainer-clean-am: distclean-am maintainer-clean-generic
1423
1424 mostlyclean: mostlyclean-am
1425
1426 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
1427         mostlyclean-libtool
1428
1429 pdf: pdf-am
1430
1431 pdf-am:
1432
1433 ps: ps-am
1434
1435 ps-am:
1436
1437 uninstall-am: uninstall-libsciio_la_etcDATA \
1438         uninstall-libsciio_la_rootDATA \
1439         uninstall-libsciio_la_sci_gatewayDATA \
1440         uninstall-pkglibLTLIBRARIES
1441
1442 .MAKE: check-am install-am install-strip
1443
1444 .PHONY: CTAGS GTAGS TAGS all all-am all-local check check-am \
1445         check-local clean clean-generic clean-libtool clean-local \
1446         clean-noinstLTLIBRARIES clean-pkglibLTLIBRARIES cscopelist-am \
1447         ctags ctags-am distclean distclean-compile distclean-generic \
1448         distclean-libtool distclean-local distclean-tags distdir dvi \
1449         dvi-am html html-am info info-am install install-am \
1450         install-data install-data-am install-data-local install-dvi \
1451         install-dvi-am install-exec install-exec-am install-html \
1452         install-html-am install-html-local install-info \
1453         install-info-am install-libsciio_la_etcDATA \
1454         install-libsciio_la_rootDATA \
1455         install-libsciio_la_sci_gatewayDATA install-man install-pdf \
1456         install-pdf-am install-pkglibLTLIBRARIES install-ps \
1457         install-ps-am install-strip installcheck installcheck-am \
1458         installdirs maintainer-clean maintainer-clean-generic \
1459         mostlyclean mostlyclean-compile mostlyclean-generic \
1460         mostlyclean-libtool pdf pdf-am ps ps-am tags tags-am uninstall \
1461         uninstall-am uninstall-libsciio_la_etcDATA \
1462         uninstall-libsciio_la_rootDATA \
1463         uninstall-libsciio_la_sci_gatewayDATA \
1464         uninstall-pkglibLTLIBRARIES
1465
1466 .PRECIOUS: Makefile
1467
1468
1469 # This target enables tests for Scilab
1470 check-local: $(top_builddir)/scilab-bin test
1471         if test -d $(mydatadir)/tests; then \
1472           @COMMAND="try test_run('$(modulename)');catch exit(-1);end;exit(0)"; export LANG=C; $(top_builddir)/bin/scilab -nwni -nb -e "$$COMMAND"; \
1473         fi
1474 check-code:
1475         if test -f build.xml; then \
1476                 $(ANT) checkstyle; \
1477         fi
1478         if test -x "$(SPLINT)"; then \
1479                 $(SPLINT) $(SPLINT_OPTIONS) -I$(top_srcdir)/modules/core/includes/ -I$(top_srcdir)/libs/MALLOC/includes/ -I$(top_srcdir)/modules/localization/includes/ $(INCLUDE_FLAGS) $(CHECK_SRC); \
1480         fi
1481 @NEED_JAVA_TRUE@java:
1482 # Some configurations needs to export JAVA_HOME in the current env
1483 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1484 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1485 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1486 @NEED_JAVA_TRUE@                $(ANT); \
1487 @NEED_JAVA_TRUE@        fi
1488
1489 @NEED_JAVA_TRUE@clean-java:
1490 # Some configurations needs to export JAVA_HOME in the current env
1491 @NEED_JAVA_TRUE@        @if test "$(JAVA_HOME)"; then export JAVA_HOME=$(JAVA_HOME); fi; \
1492 @NEED_JAVA_TRUE@        if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1493 @NEED_JAVA_TRUE@        if test -f build.xml -a $$USEANT -eq 1; then \
1494 @NEED_JAVA_TRUE@                $(ANT) clean; \
1495 @NEED_JAVA_TRUE@        fi;
1496
1497 # If the user request for the SWIG generation of the wrappers Java => C/C++
1498 # We call the target swig-build on the variable SWIG_WRAPPERS
1499
1500 @SWIG_TRUE@swig: $(SWIG_WRAPPERS)
1501 @SWIG_TRUE@     @SWIG_PACKAGENAME=org.scilab.modules.$(modulename); \
1502 @SWIG_TRUE@     SWIG_OUTDIR=src/java/org/scilab/modules/$(modulename)/; \
1503 @SWIG_TRUE@     if test -n "$(SWIG_WRAPPERS)"; then \
1504 @SWIG_TRUE@             for file in $(SWIG_WRAPPERS) ; do \
1505 @SWIG_TRUE@                     echo "Swig process of $$file (Java) ..."; \
1506 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_JAVA) $(SWIG_OPTIONS) -package $$SWIG_PACKAGENAME  -outdir $$SWIG_OUTDIR $$file; \
1507 @SWIG_TRUE@             done; \
1508 @SWIG_TRUE@     fi
1509
1510 @SWIG_TRUE@swig-scilab: $(SWIG_SCILAB_WRAPPERS)
1511 @SWIG_TRUE@     @SWIG_OUTDIR=src/swig/; \
1512 @SWIG_TRUE@     if test -n "$(SWIG_SCILAB_WRAPPERS)"; then \
1513 @SWIG_TRUE@             for file in $(SWIG_SCILAB_WRAPPERS) ; do \
1514 @SWIG_TRUE@                     echo "Swig process of $$file (Scilab) ..."; \
1515 @SWIG_TRUE@                     $(SWIG_BIN) $(SWIG_SCILAB) $(SWIG_OPTIONS) -outdir $$SWIG_OUTDIR $$file; \
1516 @SWIG_TRUE@             done; \
1517 @SWIG_TRUE@     fi
1518
1519 # If the user request for the SWIG generation of the wrappers Java => C/C++
1520 # We call the target swig-build on the variable SWIG_WRAPPERS
1521
1522 @GIWS_TRUE@giws: $(GIWS_WRAPPERS)
1523 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/; \
1524 @GIWS_TRUE@     MANDATORY_OPTIONS="--throws-exception-on-error --description-file"; \
1525 @GIWS_TRUE@     if test -n "$(GIWS_WRAPPERS)"; then \
1526 @GIWS_TRUE@             for file in $(GIWS_WRAPPERS) ; do \
1527 @GIWS_TRUE@                     echo "GIWS process of $$file ..."; \
1528 @GIWS_TRUE@                     if test -z "$(GIWS_OPTIONS)"; then \
1529 @GIWS_TRUE@                             $(GIWS_BIN) --disable-return-size-array --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1530 @GIWS_TRUE@                     else \
1531 @GIWS_TRUE@                             echo "Custom GIWS call with '$$GIWS_OPTIONS'"; \
1532 @GIWS_TRUE@                             $(GIWS_BIN) $$GIWS_OPTIONS --output-dir $$GIWS_OUTPUTDIR $$MANDATORY_OPTIONS $$file; \
1533 @GIWS_TRUE@                     fi \
1534 @GIWS_TRUE@             done; \
1535 @GIWS_TRUE@     fi
1536
1537 @GIWS_TRUE@giws-exception:
1538 @GIWS_TRUE@     @GIWS_OUTPUTDIR=src/jni/;\
1539 @GIWS_TRUE@     echo "GIWS: Generation of exception class ..."; \
1540 @GIWS_TRUE@     $(GIWS_BIN) --generate-exception-class --output-dir $$GIWS_OUTPUTDIR
1541
1542 macros:
1543         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1544                 echo "Error : Cannot build $< : Scilab has not been built"; \
1545         else \
1546                 $(top_builddir)/bin/scilab -ns -nwni -e "exec('macros/buildmacros.sce');quit;";\
1547         fi)
1548
1549 # Removes the macros
1550 clean-macros:
1551 # Removes macros (*.bin generated from .sci)
1552         @for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1553                 echo "rm -f $(builddir)/$$dir/$(MACROBINMASK)"; \
1554                 rm -f $(builddir)/$$dir/$(MACROBINMASK); \
1555         done
1556
1557 test:
1558 # More tests could be added here
1559         @if test -z "$(USEANT)"; then USEANT=0; else USEANT=1; fi; \
1560         if test -f build.xml -a $$USEANT -eq 1; then \
1561                 $(ANT) test; \
1562         fi
1563
1564 all-local: $(TARGETS_ALL)
1565
1566 .sci.bin:
1567         -@( if test ! -x $(top_builddir)/scilab-bin; then \
1568         echo "Error : Cannot build $< : Scilab has not been build"; \
1569         else \
1570         echo "Creating $@"; \
1571         $(top_builddir)/bin/scilab -ns -nwni -e "exec('$(abs_srcdir)/$<');save('$(abs_srcdir)/$@');exit;"; \
1572         fi )
1573
1574 install-html-local:
1575
1576 install-data-local-local:
1577 # Mainly for javasci
1578         @if test -d $(srcdir)/javadoc; then \
1579                 cp -R $(srcdir)/javadoc $(DESTDIR)/$(mydatadir)/; \
1580         fi
1581 # If the user wants the help sources to be installed
1582 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of XML sources of help files --------"; \
1583 @INSTALL_HELP_XML_TRUE@ for lang in $(ALL_LINGUAS); do \
1584 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/$$lang; then \
1585 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/$$lang && \
1586 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/$$lang/$(DOCMASKXML) >/dev/null 2>&1; then \
1587 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/$$lang/$(DOCMASKXML) ; do \
1588 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/$$lang" ; \
1589 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/$$lang ; \
1590 @INSTALL_HELP_XML_TRUE@           done ; \
1591 @INSTALL_HELP_XML_TRUE@         fi; \
1592 @INSTALL_HELP_XML_TRUE@  fi; \
1593 @INSTALL_HELP_XML_TRUE@ done; \
1594 @INSTALL_HELP_XML_TRUE@ @echo "-------- Install of MathML sources --------"; \
1595 @INSTALL_HELP_XML_TRUE@  if test -d $(srcdir)/help/mml/; then \
1596 @INSTALL_HELP_XML_TRUE@   $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/help/mml/ && \
1597 @INSTALL_HELP_XML_TRUE@         if ls -lLd $(srcdir)/help/mml/$(DOCMASKMML) >/dev/null 2>&1; then \
1598 @INSTALL_HELP_XML_TRUE@           for file in $(srcdir)/help/mml/$(DOCMASKMML) ; do \
1599 @INSTALL_HELP_XML_TRUE@             echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/help/mml" ; \
1600 @INSTALL_HELP_XML_TRUE@         $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/help/mml ; \
1601 @INSTALL_HELP_XML_TRUE@           done ; \
1602 @INSTALL_HELP_XML_TRUE@         fi; \
1603 @INSTALL_HELP_XML_TRUE@ fi
1604 install-data-local:
1605 # Install the tests
1606         @echo "-------- Install tests (if any) --------"; \
1607         for dir in $(TESTS_DIR) $(TESTS_DIREXT) ; do \
1608           if test -d $(srcdir)/$$dir/; then \
1609             $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1610                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1611                     if test -d "$(srcdir)/$$dir/$$file"; then \
1612                           echo $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir/$$file; \
1613                           $(mkinstalldirs) "$(DESTDIR)$(pkgmacrosdir)/$$dir/$$file"; \
1614                     else \
1615                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1616                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgmacrosdir)/`dirname $$dir/$$file`" ; \
1617                     fi \
1618                   done; \
1619           fi; \
1620         done
1621 # Install the help chapter
1622         @echo "-------- Install the help chapter (if any) --------"; \
1623         for lang in $(HELP_CHAPTERLANG); do \
1624                 HELPFILE=$(srcdir)/$(HELP_CHAPTERDIR)$$lang/$(HELP_CHAPTERFILE); \
1625                 if test -f $$HELPFILE; then \
1626                         echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1627                         $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(HELP_CHAPTERDIR)/$$lang/; \
1628                         echo $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1629                         $(INSTALL_DATA) $$HELPFILE $(DESTDIR)$(pkgdocdir)/$$HELPFILE; \
1630                 fi; \
1631         done
1632 # Install the demos & examples
1633         @echo "-------- Install demos & examples (if any) --------"; \
1634         for dir in $(DEMOS_DIR) $(DEMOS_DIREXT) $(EXAMPLES_DIR) $(EXAMPLES_DIREXT) ; do \
1635           if test -d $(srcdir)/$$dir/; then \
1636             $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir && \
1637                   for file in `find $(srcdir)/$$dir | sed "s|^$(srcdir)/$$dir||" 2>/dev/null`; do \
1638                     if test -d "$(srcdir)/$$dir/$$file"; then \
1639                           echo $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$$dir/$$file; \
1640                           $(mkinstalldirs) "$(DESTDIR)$(pkgdocdir)/$$dir/$$file"; \
1641                     else \
1642                       echo "$(INSTALL_DATA) $(srcdir)/$$dir/$$file $(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1643                   $(INSTALL_DATA) "$(srcdir)/$$dir/$$file" "$(DESTDIR)$(pkgdocdir)/`dirname $$dir/$$file`" ; \
1644                     fi \
1645                   done; \
1646           fi; \
1647         done
1648 # Install the macros
1649         @echo "-------- Install macros (if any) --------"; \
1650         for dir in $(MACRODIRS) $(MACROSDIRSEXT) ; do \
1651           $(mkinstalldirs) $(DESTDIR)$(pkgmacrosdir)/$$dir && \
1652                 if test -d $(srcdir)/$$dir/; then \
1653                         FILELIST="$(srcdir)/$$dir/$(MACROMASK) $(srcdir)/$$dir/$(MACROBINMASK) $(srcdir)/$$dir/$(MACROBUILDMASK) $(srcdir)/$$dir/names $(srcdir)/$$dir/lib";\
1654                         if test -n "$(MACROSSPECIALEXT)"; then \
1655                                 specialExtDir=""; \
1656                                 for specialExt in $(MACROSSPECIALEXT); do \
1657                                         specialExtDir="$$specialExtDir $(srcdir)/$$dir/$$specialExt"; \
1658                                 done; \
1659                                 FILELIST="$$FILELIST $$specialExtDir"; \
1660                         fi; \
1661                   for file in `ls -1 $$FILELIST 2>/dev/null`; do \
1662                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgmacrosdir)/$$dir" ; \
1663                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgmacrosdir)/$$dir ; \
1664                   done; \
1665                 fi; \
1666         done
1667 # Install java files (.jar)
1668         @if ls -lLd $(srcdir)/$(JARDIR)$(JARMASK) >/dev/null 2>&1; then \
1669         echo "-------- Install jar files --------"; \
1670     $(mkinstalldirs) $(DESTDIR)$(pkgdocdir)/$(JARDIR); \
1671           for file in $(srcdir)/$(JARDIR)$(JARMASK); do\
1672                     echo "$(INSTALL_DATA) $$file $(DESTDIR)$(pkgdocdir)/$(JARDIR)" ; \
1673                 $(INSTALL_DATA) "$$file" $(DESTDIR)$(pkgdocdir)/$(JARDIR) ; \
1674           done ; \
1675         fi
1676
1677 ########### CLEAN ###################
1678 # Clean help (generated automatically by Scilab)
1679 # It used to clean the macro (clean-macros) but this was causing
1680 # make clean && make to fail Scilab startup
1681 @NEED_JAVA_TRUE@clean-local: clean-java
1682 @NEED_JAVA_FALSE@clean-local:
1683
1684 distclean-local:
1685         rm -f $(builddir)/help/*/.last_successful_build_javaHelp $(builddir)/help/*/.list_*
1686
1687 .PHONY: macros java swig giws
1688
1689 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1690 # Otherwise a system limit (for SysV at least) may be exceeded.
1691 .NOEXPORT: